﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="SyncAllEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the SyncAllEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------

namespace ScrumForTeamSystem.EventService.Infrastructure
{
    /// <summary>
    /// Defines the SyncAllEvent type.
    /// </summary>
    public class SyncAllEvent
    {
        /// <summary>
        /// Gets or sets ProjectName.
        /// </summary>
        /// <value>
        /// The project name.
        /// </value>
        public string ProjectName
        {
            get;
            set;
        }
    }
}