// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="ClientArtifact.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the ClientArtifact type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

/// <summary>
/// Defines the ClientArtifact type.
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
public class ClientArtifact
{
    /// <summary>
    /// Gets or sets ArtifactType.
    /// </summary>
    /// <value>
    /// The artifact type.
    /// </value>
    [XmlAttribute]
    public string ArtifactType
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ChangeType.
    /// </summary>
    /// <value>
    /// The change type.
    /// </value>
    [XmlAttribute]
    public string ChangeType
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Folder.
    /// </summary>
    /// <value>
    /// The folder.
    /// </value>
    [XmlAttribute]
    public string Folder
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Item.
    /// </summary>
    /// <value>
    /// The item as a string.
    /// </value>
    [XmlAttribute]
    public string Item
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ItemRevision.
    /// </summary>
    /// <value>
    /// The item revision.
    /// </value>
    [XmlAttribute]
    public string ItemRevision
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ServerItem.
    /// </summary>
    /// <value>
    /// The server item.
    /// </value>
    [XmlAttribute]
    public string ServerItem
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TeamProject.
    /// </summary>
    /// <value>
    /// The team project.
    /// </value>
    [XmlAttribute]
    public string TeamProject
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Url.
    /// </summary>
    /// <value>
    /// The url as a string.
    /// </value>
    public string Url
    {
        get;
        set;
    }
}