﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="DataChangedEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the DataChangedEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
#region

using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

#endregion

/// <summary>
/// Event raised when data changes.
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
[XmlRoot(Namespace = "", IsNullable = true)]
public class DataChangedEvent
{
    /// <summary>
    /// Gets or sets DataType.
    /// </summary>
    /// <value>
    /// The data type.
    /// </value>
    public string DataType
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets SeqId.
    /// </summary>
    /// <value>
    /// The seq id.
    /// </value>
    public int SeqId
    {
        get;
        set;
    }
}