// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="ChangedFieldsType.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the ChangedFieldsType type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------

using System.Collections.Generic;

/// <summary>
/// Defines the ChangedFieldsType type.
/// </summary>
[System.CodeDom.Compiler.GeneratedCode("xsd", "2.0.50727.3038")]
[System.Serializable()]
[System.Diagnostics.DebuggerStepThrough()]
[System.ComponentModel.DesignerCategory("code")]
public class ChangedFieldsType
{
    /// <summary>
    /// The integer fields.
    /// </summary>
    private IntegerField[] integerFieldsField;

    /// <summary>
    /// The string fields.
    /// </summary>
    private StringField[] stringFieldsField;

    /// <summary>
    /// Gets or sets IntegerFields.
    /// </summary>
    /// <value>
    /// The integer fields.
    /// </value>
    [System.Xml.Serialization.XmlArrayItem("Field", IsNullable = false)]
    public IntegerField[] IntegerFields
    {
        get
        {
            return this.integerFieldsField;
        }

        set
        {
            this.integerFieldsField = value;
        }
    }

    /// <summary>
    /// Gets or sets StringFields.
    /// </summary>
    /// <value>
    /// The string fields.
    /// </value>
    [System.Xml.Serialization.XmlArrayItem("Field", IsNullable = false)]
    public StringField[] StringFields
    {
        get
        {
            return this.stringFieldsField;
        }

        set
        {
            this.stringFieldsField = value;
        }
    }
}