// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="CheckinWorkItemInfo.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the CheckinWorkItemInfo type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

/// <summary>
/// Defines the CheckinWorkItemInfo type.
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
public class CheckinWorkItemInfo
{
    /// <summary>
    /// Gets or sets AssignedTo.
    /// </summary>
    /// <value>
    /// The assigned to.
    /// </value>
    [XmlAttribute]
    public string AssignedTo
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets CheckinAction.
    /// </summary>
    /// <value>
    /// The checkin action.
    /// </value>
    [XmlAttribute]
    public CheckinWorkItemCheckinAction CheckinAction
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Id.
    /// </summary>
    /// <value>
    /// The id as a string.
    /// </value>
    [XmlAttribute]
    public int Id
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets State.
    /// </summary>
    /// <value>
    /// The state.
    /// </value>
    [XmlAttribute]
    public string State
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Title.
    /// </summary>
    /// <value>
    /// The title.
    /// </value>
    [XmlAttribute]
    public string Title
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Type.
    /// </summary>
    /// <value>
    /// The type as a string.
    /// </value>
    [XmlAttribute]
    public string Type
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Url.
    /// </summary>
    /// <value>
    /// The url as a string.
    /// </value>
    [XmlAttribute]
    public string Url
    {
        get;
        set;
    }
}