﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="IdentityDeletedEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the IdentityDeletedEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
#region

using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

#endregion

/// <summary>
/// Event raised when a new user / group is deleted from a project
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
[XmlRoot(Namespace = "", IsNullable = true)]
[Obsolete("This Event is no longer raised, or raised inconsistently - see http://blogs.msdn.com/psheill/archive/2006/05/09/593946.aspx for more information")]
public class IdentityDeletedEvent
{
    /// <summary>
    /// Gets or sets Sid.
    /// </summary>
    /// <value>
    /// The sid as a string.
    /// </value>
    public string Sid
    {
        get;
        set;
    }
}