// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="IntegerField.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the IntegerField type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------

/// <summary>
/// Defines the IntegerField type.
/// </summary>
[System.CodeDom.Compiler.GeneratedCode("xsd", "2.0.50727.3038")]
[System.Serializable]
[System.Diagnostics.DebuggerStepThrough]
[System.ComponentModel.DesignerCategory("code")]
public class IntegerField
{
    /// <summary>
    /// The name field.
    /// </summary>
    private string nameField;

    /// <summary>
    /// The new value.
    /// </summary>
    private int newValueField;

    /// <summary>
    /// The old value.
    /// </summary>
    private int oldValueField;

    /// <summary>
    /// The reference name.
    /// </summary>
    private string referenceNameField;

    /// <summary>
    /// Gets or sets Name.
    /// </summary>
    /// <value>
    /// The name value.
    /// </value>
    public string Name
    {
        get
        {
            return this.nameField;
        }

        set
        {
            this.nameField = value;
        }
    }

    /// <summary>
    /// Gets or sets NewValue.
    /// </summary>
    /// <value>
    /// The new value.
    /// </value>
    public int NewValue
    {
        get
        {
            return this.newValueField;
        }

        set
        {
            this.newValueField = value;
        }
    }

    /// <summary>
    /// Gets or sets OldValue.
    /// </summary>
    /// <value>
    /// The old value.
    /// </value>
    public int OldValue
    {
        get
        {
            return this.oldValueField;
        }

        set
        {
            this.oldValueField = value;
        }
    }

    /// <summary>
    /// Gets or sets ReferenceName.
    /// </summary>
    /// <value>
    /// The reference name.
    /// </value>
    public string ReferenceName
    {
        get
        {
            return this.referenceNameField;
        }

        set
        {
            this.referenceNameField = value;
        }
    }
}