// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="NameValuePair.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the NameValuePair type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

/// <summary>
/// Defines the NameValuePair type.
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
public class NameValuePair
{
    /// <summary>
    /// Gets or sets Name.
    /// </summary>
    /// <value>
    /// The name as a string.
    /// </value>
    [XmlAttribute("name")]
    public string Name
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Value.
    /// </summary>
    /// <value>
    /// The value.
    /// </value>
    [XmlAttribute("val")]
    public string Value
    {
        get;
        set;
    }
}