﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="ProjectCreatedEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the ProjectCreatedEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
#region

using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

#endregion

/// <summary>
/// Event raised when a Project is Created
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
[XmlRoot(Namespace = "", IsNullable = true)]
public class ProjectCreatedEvent
{
    /// <summary>
    /// Gets or sets Name.
    /// </summary>
    /// <value>
    /// The name as a string.
    /// </value>
    public string Name
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Uri.
    /// </summary>
    /// <value>
    /// The uri as a string.
    /// </value>
    public string Uri
    {
        get;
        set;
    }
}