﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Program.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the Program type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace ScrumForTeamSystem.Setup.SfTSConfigatorUI
{
    using System;
    using System.Windows.Forms;

    /// <summary>
    /// Initializes instance of Program
    /// </summary>
    public static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        /// <param name="args">The argument array.</param>
        [STAThread]
        public static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            try
            {
                Application.Run(new Main(args));
            }
            catch (Exception ex)
            {
                var message = "An unhandled exception occured during the application process.";

                while (ex != null)
                {
                    message = string.Concat(message, Environment.NewLine, ex.Message);
                }
            }
        }
    }
}